Get all available swaps/exchanges
curl --request GET \
--url https://api-partner.houdiniswap.com/v2/swaps \
--header 'Authorization: <api-key>'import requests
url = "https://api-partner.houdiniswap.com/v2/swaps"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-partner.houdiniswap.com/v2/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"shortName": "<string>",
"enabled": true,
"txUrl": "<string>",
"isDex": true,
"deprecated": true,
"markupSupported": true,
"slippageSupported": true,
"autoSlippageSupported": true,
"logoUrl": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}Liquidity providers
Get all available swaps/exchanges
Returns all available swap providers (exchanges) that can be used for trading. This includes both centralized exchanges (CEX) and decentralized exchanges (DEX).
GET
/
swaps
Get all available swaps/exchanges
Authorizations
Query Parameters
Filter providers by type: true for DEX (onchain) providers, false for CEX providers
Filter providers by whether they support partner markup
Filter providers by whether they support slippage configuration